Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.tracking.events
Class PurchaseCartEvent

    java.lang.Object
      |
      +--com.bea.p13n.property.AbstractConfigurableEntity
            |
            +--com.bea.p13n.events.Event
                  |
                  +--com.bea.p13n.tracking.events.TrackingEvent
                        |
                        +--com.bea.commerce.ebusiness.tracking.events.ShoppingEvent
                              |
                              +--com.bea.commerce.ebusiness.tracking.events.PurchaseCartEvent

public class PurchaseCartEvent
extends ShoppingEvent

Event for tracking the purchase of an entire shopping cart.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ORDER_ID` Order id key Attribute value is a Long
`static java.lang.String` | `TOTAL_PRICE` Event attribute key name for the total cost of the shopping cart Attribute value is a Double
`static java.lang.String` | `TYPE` The event type

Fields inherited from class com.bea.commerce.ebusiness.tracking.events.ShoppingEvent
`APPLICATION_NAME, CURRENCY, QUANTITY, SKU`

Fields inherited from class com.bea.p13n.tracking.events.TrackingEvent
`APPLICATION, REQUEST, SESSION_ID, USER_ID`

Fields inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`CE_METHOD_CACHE, instanceClass, PREFIX_GET, PREFIX_SET, propertyCache, textFormatter`

Constructor Summary
`PurchaseCartEvent(java.lang.String theSessionId, java.lang.String theUserId, javax.servlet.http.HttpServletRequest theRequest, java.lang.Double theTotalPrice, java.lang.String theOrderId, java.lang.String aCurrency, java.lang.String aApplicationName)` Create a new PurchaseCartEvent.

Methods inherited from class com.bea.p13n.tracking.events.TrackingEvent
`getSchemaKeys, getXMLNamespace, getXSDFile, setSchemaKeys, setXMLNamespace, setXSDFile`

Methods inherited from class com.bea.p13n.events.Event
`getApplication, getAttribute, getAttributeNames, getProperty, getTimeStamp, getType, removeAttribute, setApplication, setAttribute, toString`

Methods inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`createMapKey, getCachedProperty, getExplicitProperty, getExplicitSetter, getImplicitProperty, getJndiName, getPkString, getPropertyAsString, getPropertyCache, getPropertyNoDefault, getUniqueId, hasExplicitGetter, hasExplicitSetter, removeExplicitProperty, removeProperty, setExplicitProperty, setProperty, upcaseFirst`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final java.lang.String TYPE

  The event type

### TOTAL_PRICE

    public static final java.lang.String TOTAL_PRICE

  Event attribute key name for the total cost of the shopping cart Attribute value is a Double

### ORDER_ID

    public static final java.lang.String ORDER_ID

  Order id key Attribute value is a Long

Constructor Detail

### PurchaseCartEvent

    public PurchaseCartEvent(java.lang.String theSessionId,
                             java.lang.String theUserId,
                             javax.servlet.http.HttpServletRequest theRequest,
                             java.lang.Double theTotalPrice,
                             java.lang.String theOrderId,
                             java.lang.String aCurrency,
                             java.lang.String aApplicationName)

  Create a new PurchaseCartEvent.

  Parameters:
    `theSessionId` - from HttpSession.getId()
    `theUserId` - from HttpServletRequest.getRemoteUser() or equivalent (null if unknown)
    `theRequest` - the http servlet request object
    `theTotalPrice` - the shopping cart's total price
    `theOrderId` - the order id for the order
    `aCurrency` - the currency (null if unknown)
    `aApplicationName` - application name (aka storefront) (optionally null)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved